//////////////////////////////////////////////////////////////////////////
//	Name	: RestartDefs.h
//
//	Purpose	: Contains function prototypes for all of the functions that
//				need to be called to reset global and static data needed
//				to properly perform a restart
//////////////////////////////////////////////////////////////////////////
#pragma once

//Global vars
void ResetWkEventGlobals();

namespace WebCore
{
	void ResetSharedTimerGlobals();
	void ResetScrollViewGlobals();
	void ResetRenderBoxModelObjectGlobals();
	void ResetRenderBoxGlobals();
	void ResetRenderBlockGlobals();
	void ResetQualifiedNameGlobals();
	void ResetPluginViewGlobals();
	void ResetPluginDatabaseGlobals();
	void ResetPlatformKeyboardEventGlobals();
	void ResetGlyphPageTreeNodeGlobals();
	void ResetWiiUEventManagerGlobals();
	void ResetInspectorInstrumentationGlobals();
	void ResetTextEncodingRegistryGlobals();
	void ResetRenderStyleGlobals();
	void ResetCSSStyleSelectorGlobals();
	void ResetDocumentGlobals();
	void ResetThreadGlobalData();
	void ResetDocumentParserScopeGlobals();
#if ENABLE(INSPECTOR)
	void ResetInspectorCounterGlobals();
#endif // ENABLE(INSPECTOR)
	void ResetIdentifiersFactoryGlobals();
}

namespace JSC
{
	void ResetJSCThreadGuard();
}

namespace WTF
{
	void ResetWTFThreadData();
}